Loading...
Searching...
No Matches
Opm::Linear::BlackList Class Reference

Expresses which degrees of freedom are blacklisted for the parallel linear solvers and which domestic indices they correspond to. More...

`#include <blacklist.hh>`

## Classes

struct | PeerBlackListedEntry

## Public Types

using | PeerBlackList = std::vector<PeerBlackListedEntry>
using | PeerBlackLists = std::map<ProcessRank, PeerBlackList>

## Public Member Functions

| BlackList (const BlackList &)=default
bool | hasIndex (Index nativeIdx) const
void | addIndex (Index nativeIdx)
Index | nativeToDomestic (Index nativeIdx) const
void | setPeerList (ProcessRank peerRank, const PeerBlackList &peerBlackList)
template<class DomesticOverlap>
void | updateNativeToDomesticMap (const DomesticOverlap &domesticOverlap)
void | print () const

## Detailed Description

Expresses which degrees of freedom are blacklisted for the parallel linear solvers and which domestic indices they correspond to.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/blacklist.hh